Overview | Modules | Class Hierarchy | Classes | Members
# tlp::GlRectTextured Class Reference `#include <GlRectTextured.h>` Inherits tlp::Gl2DRect. Inheritance diagram for tlp::GlRectTextured: [legend] Collaboration diagram for tlp::GlRectTextured: [legend] List of all members. ## Detailed Description Create a rectangle with a texture ## Public Member Functions GlRectTextured () GlRectTextured (float top, float bottom, float left, float right, const std::string &textureName, bool inPercent=false) GlRectTextured (float bottom, float left, float height, float width, const std::string &textureName, bool xInv, bool yInv) virtual ~GlRectTextured () ## Constructor & Destructor Documentation
tlp::GlRectTextured::GlRectTextured | ( |  | ) |
tlp::GlRectTextured::GlRectTextured | ( | float | top,
|  | float | bottom,
|  | float | left,
|  | float | right,
|  | const std::string & | textureName,
|  | bool | inPercent = `false`
| ) |
| Constructor : with top/bottom/left/right coords, textureName and if inPercent is true coords are in percent
tlp::GlRectTextured::GlRectTextured | ( | float | bottom,
|  | float | left,
|  | float | height,
|  | float | width,
|  | const std::string & | textureName,
|  | bool | xInv,
|  | bool | yInv
| ) |
| Constructor : with bottom/left height,width coords, textureName and if xInv/yInv is true coords viewport - coord
virtual tlp::GlRectTextured::~GlRectTextured | ( |  | ) | `[inline, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2010